--功能引导
local GuidanceInfo = {
	--类型1：com_guidance_1914
	--表示引导针对单个对话框
	--类型2：com_guidance_345_631
	--表示引导针对一个组合对话框，类似锻造界面这种，345被看作外框，它排在最前面，345打开时会触发引导界面弹开，345和631的鼠标单击都会触发下一步
	--针对类型2，可扩展后面的对话框id，目前组合窗口最大暂时只用到4层对话框，请将引导过程会经过的对话框id都要配置进去，否则会无法走到引导的下一步。
	--/callluafunc </F>OpenDialog</N>0</N>0</N>1917</N>？
	--将？替换为引导ID：
	[1] = "com_guidance_345_631",--装备升级
	[2] = "com_guidance_345_631_632",--品质提升
	[3] = "com_guidance_345_335",--装备追加
	[4] = "com_guidance_345_425_229",--装备开洞与装备镶嵌
	[6] = "com_guidance_345_455_633",--装备淬炼
	[7] = "com_guidance_345_426_105",--装备神佑&加持

}

--功能引导
--根据id返回ui_beginner包下的com_dialog_345_631
local function GetGuidance(id)
	if GuidanceInfo[id] == nil then
		return ""
	end
	return GuidanceInfo[id]
end

--引导入口
local HintInfo = {
	--类型1：com_hint_130_5228
	--表示要把引导入口放在130对话框的5228按钮上
	--类型2：com_hint_579_3039_47
	--表示要把引导入口放在579对话框按钮集合3039的键值是47的按钮上，47对应到ini/MinimapAreaPanel.lua里的key，比如47就是掉钱服善恶榜，引导提示只能做成大概的指向
	--类型3：com_hint_1914_btn_open
	--表示要把引导入口放在1914对话框的btn_open组件上，这是一个FGUI窗口

	--锻造
	[1] = "com_hint_130_5228 1",
	--锻造
	[2] = "com_hint_130_5228 2",
	--锻造
	[3] = "com_hint_130_5228 3",
	--锻造
	[4] = "com_hint_130_5228 4",
	--锻造
	[6] = "com_hint_130_5228 6",
	--锻造
	[7] = "com_hint_130_5228 7",
}

--引导入口
--根据id返回ui_beginner包下的com_hint_130_5228
local function GetHint(id)
	if HintInfo[id] == nil then
		return ""
	end
	return HintInfo[id]
end

-- 清理变量释放内存
local function Unload()
end

-- 通过require传给其他Lua脚本使用
local Beginner = {
	GetGuidance = GetGuidance,
	GetHint = GetHint,
	Unload = Unload,
}

-- C++程序使用的global函数名
Beginner_GetGuidance = Beginner.GetGuidance
Beginner_GetHint = Beginner.GetHint
Beginner_Unload = Beginner.Unload

-- require返回值
return Beginner